Subject: Re: [PATCH V4 1/8] elf: Add new PowerPC specifc core note sections

From: Sukadev Bhattiprolu <[email-masked]>
Date: Tue, 18 Nov 2014 13:28:21 -0800

Anshuman Khandual [[email-masked]] wrote:
| This patch adds four new core note sections for PowerPC transactional
| memory and one core note section for general miscellaneous debug registers.
| These addition of new elf core note sections extends the existing elf ABI
| without affecting it in any manner.
| 
| Signed-off-by: Anshuman Khandual <[email-masked]>

Except for some minor comments to one of the patches, the patchset
looks good to me. I was also able to run the included selftest on
a PowerVM guest.

Tested-by: Sukadev Bhattiprolu <[email-masked]>

| ---
|  include/uapi/linux/elf.h | 5 +++++
|  1 file changed, 5 insertions(+)
| 
| diff --git a/include/uapi/linux/elf.h b/include/uapi/linux/elf.h
| index ea9bf25..2260fc0 100644
| --- a/include/uapi/linux/elf.h
| +++ b/include/uapi/linux/elf.h
| @@ -379,6 +379,11 @@ typedef struct elf64_shdr {
|  #define NT_PPC_VMX	0x100		/* PowerPC Altivec/VMX registers */
|  #define NT_PPC_SPE	0x101		/* PowerPC SPE/EVR registers */
|  #define NT_PPC_VSX	0x102		/* PowerPC VSX registers */
| +#define NT_PPC_TM_SPR	0x103		/* PowerPC TM special registers */
| +#define NT_PPC_TM_CGPR	0x104		/* PowerpC TM checkpointed GPR */
| +#define NT_PPC_TM_CFPR	0x105		/* PowerPC TM checkpointed FPR */
| +#define NT_PPC_TM_CVMX	0x106		/* PowerPC TM checkpointed VMX */
| +#define NT_PPC_MISC	0x107		/* PowerPC miscellaneous registers */
|  #define NT_386_TLS	0x200		/* i386 TLS slots (struct user_desc) */
|  #define NT_386_IOPERM	0x201		/* x86 io permission bitmap (1=deny) */
|  #define NT_X86_XSTATE	0x202		/* x86 extended state using xsave */
| -- 
| 1.9.3